Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class ConsumerBeanTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.ConsumerBeanTypeImplTestCase

    public class ConsumerBeanTypeImplTestCase

extends java.lang.Object

Constructor Summary
`ConsumerBeanTypeImplTestCase()`

Method Summary
`void` | `testActivationConfig()`
`void` | `testAnnotation()`
`void` | `testAopDomainName()`
`void` | `testCurrentMessage()`
`void` | `testDepends()`
`void` | `testEjbClass()`
`void` | `testEjbLocalRef()`
`void` | `testEjbName()`
`void` | `testEjbRef()`
`void` | `testIgnoreDependency()`
`void` | `testJndiRef()`
`void` | `testLocalProducer()`
`void` | `testMessageDestination()`
`void` | `testMessageDestinationRef()`
`void` | `testMessageDestinationType()`
`void` | `testMessageProperties()`
`void` | `testMethodAttributes()`
`void` | `testPoolConfig()`
`void` | `testProducer()`
`void` | `testResourceEnvRef()`
`void` | `testResourceRef()`
`void` | `testSecurityDomain()`
`void` | `testSecurityIdentity()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerBeanTypeImplTestCase

    public ConsumerBeanTypeImplTestCase()

Method Detail

### testEjbName

    public void testEjbName()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbClass

    public void testEjbClass()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMessageDestination

    public void testMessageDestination()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMessageDestinationType

    public void testMessageDestinationType()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testProducer

    public void testProducer()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocalProducer

    public void testLocalProducer()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCurrentMessage

    public void testCurrentMessage()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMessageProperties

    public void testMessageProperties()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbRef

    public void testEjbRef()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbLocalRef

    public void testEjbLocalRef()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityIdentity

    public void testSecurityIdentity()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testResourceRef

    public void testResourceRef()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testResourceEnvRef

    public void testResourceEnvRef()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMessageDestinationRef

    public void testMessageDestinationRef()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityDomain

    public void testSecurityDomain()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMethodAttributes

    public void testMethodAttributes()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDepends

    public void testDepends()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAnnotation

    public void testAnnotation()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testIgnoreDependency

    public void testIgnoreDependency()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAopDomainName

    public void testAopDomainName()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPoolConfig

    public void testPoolConfig()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJndiRef

    public void testJndiRef()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testActivationConfig

    public void testActivationConfig()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD